<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_partner" />

    </androidx.appcompat.widget.Toolbar>

    <fragment
        android:id="@+id/mapFragment"
        android:name="com.google.android.gms.maps.SupportMapFragment"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar" />

    <ImageView
        android:id="@+id/iv_shop_logo"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:scaleType="fitCenter"
        android:src="@color/internet_connect"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mapFragment" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_shop_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:ellipsize="end"
        android:maxLines="1"
        android:text="Hello"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_shop_logo"
        app:layout_constraintTop_toTopOf="@+id/iv_shop_logo" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_shop_description"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:text="Hello"
        android:textColor="@color/ci_yellow_primary"
        android:textSize="@dimen/small_text_size"
        app:layout_constraintBottom_toBottomOf="@+id/iv_shop_logo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_shop_logo" />

    <ImageView
        android:id="@+id/iv_location_img"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginStart="@dimen/margin_3x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:src="@drawable/ic_map_delivery"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_shop_logo" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_shop_address"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginEnd="@dimen/margin_1x_size"
        android:maxLines="2"
        app:layout_constraintBottom_toBottomOf="@+id/iv_location_img"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_location_img"
        app:layout_constraintTop_toTopOf="@+id/iv_location_img" />

    <ImageView
        android:id="@+id/iv_call_img"
        android:layout_width="40dp"
        android:layout_height="30dp"
        android:layout_marginStart="@dimen/margin_3x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:src="@drawable/ic_phone_call"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_location_img" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_shop_number"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginEnd="@dimen/margin_1x_size"
        app:layout_constraintBottom_toBottomOf="@+id/iv_call_img"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_call_img"
        app:layout_constraintTop_toTopOf="@+id/iv_call_img" />

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/btn_redeem"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="@dimen/margin_5x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:layout_marginEnd="@dimen/margin_5x_size"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:text="Redeem at this outlet"
        android:textColor="@color/white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_call_img" />

</androidx.constraintlayout.widget.ConstraintLayout>